/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;

/**
 * A test service interface with @Remotable in an illegal location
 *
 */
public interface ServiceBadRemotableMethod {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
	/**
	 * Second interface method
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@Remotable
	public String operation2(String input);
}
