/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface ServiceBadRemotable
 * 0 references
 */
@Service(ServiceBadRemotable.class)
public class serviceBadRemotableImpl implements ServiceBadRemotable {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	public String operation2(@Remotable String input) {
		return serviceName + " operation2 invoked";
	}

}
