/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.xml.ws.WebServiceProvider;

import org.oasisopen.sca.annotation.Property;

/**
 * Java component implementation with
 * 1 service with interface Service3OperationsWSDL
 * 0 references 
 *
 */
@WebServiceProvider(wsdlLocation="Service3OperationsWSDL.wsdl")
public class Service3OperationsWebServiceProviderImpl {

	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	public String operation2(String input) {
		return serviceName + " operation2 invoked";
	}

	public String operation3(String input) {
		return serviceName + " operation3 invoked";
	}

} // end class Service3OperationsWSDLImpl
