/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.JCA3011Service;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(JCA3011Service.class)
public class JCA3011serviceImpl implements JCA3011Service {
	
	@Property
	public String serviceName = "service1";

	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
