/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;
import org.oasisopen.sca.annotation.Property;

/**
 * A remotable service interface which uses a forbidden annotation
 * from Service3
 * @author DaveBooz
 *
 */
@Remotable
public interface JCA3012Service3Callback {
	
	/**
	 * Method 1 for invoking callback service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@Property
	public String callback1( String input );
	
} // end interface
