/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebService;

import org.oasisopen.sca.annotation.Remotable;

/**
 * ServiceWithName service interface which has a @WebService annotation with the name attribute set
 */
@WebService(name="AnnotationName")
@Remotable
public interface ServiceWithName {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation1( String input );
	
}
