/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;
import org.oasisopen.sca.test.Constants;


/**
 * Java component implementation
 * 1 service with interface Service1 and a policySet
 * 0 references
 *
 * @author Dave Booz
 *
 */
@Service(Service1.class)
public class service1BadPolicySet implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	@PolicySets({Constants.POLICYSET1})
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
