/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.PARAMETER;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import org.oasisopen.sca.annotation.Intent;

/**
 * A test annotation that is an interation intent that is mutually exclusive
 * with testintent4.
 * 
 */
@Inherited
@Target({METHOD,FIELD,PARAMETER,TYPE})
@Retention(RUNTIME)
@Intent(TestIntent3.TEST_INTENT3)
public @interface TestIntent3 {
    static String TEST_INTENT3 = Constants.TEST_PREFIX + "testIntent3";
}
