/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import javax.jws.WebService;
import org.oasisopen.sca.annotation.Service;
import org.oasisopen.sca.test.Service1WS;


/**
 * Java implementation 
 * 1 service with interface Service1WS
 * 0 references
 *
 * Service1WS is a compatible variant of Service1 but marked with @WebService rather than @Remotable
 */
@Service(Service1WS.class)
public class service1WSImpl implements Service1WS {
	
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
