/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Service;
import org.oasisopen.sca.test.ServiceWithOpName;

import org.oasisopen.sca.annotation.Property;

/**
 * Java implementation 
 * 1 service with interface Service1WithOpName
 * 0 references
 *
 * Service1WithOpName has a @WebMethod annotation with the operationName attribute set
 */
@Service(ServiceWithOpName.class)
public class serviceWithOpNameImpl implements ServiceWithOpName {
	
	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
