/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * @author Dave Booz
 *
 */
@Service(Service1.class)
public class service1StaticAnnotation implements Service1 {

	private static String serviceName = "service1";

	@Property(name="serviceName",required=true)
	public static void setServiceName(String n) {
		serviceName = n;
	}
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
