/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1Scope;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 0 references
 *
 * Contains a @Scope annotation that is misplaced - it does not annotate the class itself
 *
 */
@Service(Service1Scope.class)
public class misplacedScopeImpl implements Service1Scope {

	@Property
	public String serviceName = "service1";


	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
