/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test2;

import org.oasisopen.sca.annotation.Remotable;

/**
 * Service1 service interface
 * 
 * - this version sits in a different package from the regular version of this
 * interface - it also has a different signature
 */
@Remotable
public interface Service1 {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	public String operation2( String input );

}
