/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1Overload;


/**
 * Java component implementation
 * 1 service with interface Service1Overload
 * 0 references
 *
 * @author MikeEdwards
 *
 */
@Service(Service1Overload.class)
public class service1OverloadImpl implements Service1Overload {
	
	@Property
	public String serviceName = "service1";

	public String operation1(String input) {
		return serviceName + " operation1 version1 invoked";
	}

	public String operation1(int input) {
		return serviceName + " operation1 version2 invoked";
	}

} // end class service1OverloadImpl
