/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Service;
import org.oasisopen.sca.test.Service2Operations;

import org.oasisopen.sca.annotation.Property;

/**
 * Java component implementation with
 * 1 service with interface Service2Operations
 * 0 references 
 *
 * operation1 is excluded from the SCA interface
 */
@Service(Service2Operations.class)
public class Service2OperationsImpl implements Service2Operations {

	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	public String operation2(String input) {
		return serviceName + " operation2 invoked";
	}

} // end class Service2OperationsImpl
