/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.ServiceOneWayNoVoid;


/**
 * Java component implementation
 * 1 service with interface ServiceOneWayNoVoid
 * 0 references
 *
 */
@Service(ServiceOneWayNoVoid.class)
public class serviceOneWayNoVoidImpl implements ServiceOneWayNoVoid {
	
	@Property
	public String serviceName = "service1";
	
	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

	@OneWay
	public String operation2( String input ) {
		return serviceName + " operation1 invoked";
	}

} // end class serviceOneWayNoVoidImpl
