/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.Remotable;
import org.oasisopen.sca.annotation.Property;

/**
 * A test service interface
 * @author DaveBooz
 *
 */
@Remotable
public interface JCA3011Service {
	
	/**
	 * Method for invoking testcase service
	 * @param input - input parameter(s) as a String
	 * @return - output data as a String
	 */
	@Property
	public String operation1( String input );

}
