/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import static java.lang.annotation.ElementType.METHOD;
import static java.lang.annotation.ElementType.FIELD;
import static java.lang.annotation.ElementType.PARAMETER;
import static java.lang.annotation.ElementType.TYPE;
import static java.lang.annotation.RetentionPolicy.RUNTIME;

import java.lang.annotation.Inherited;
import java.lang.annotation.Retention;
import java.lang.annotation.Target;

import org.oasisopen.sca.annotation.Intent;

/**
 * A test annotation that is an interation intent.
 * 
 */
@Inherited
@Target({METHOD,FIELD,PARAMETER,TYPE})
@Retention(RUNTIME)
@Intent(TestIntent5.TEST_INTENT5)
public @interface TestIntent5 {
    static String TEST_INTENT5 = Constants.TEST_PREFIX + "testIntent5";
}
