/*
 *
 * Copyright(C) OASIS(R) 2009,2010. All Rights Reserved.
 * OASIS trademark, IPR and other policies apply.    
 *   
 */
package org.oasisopen.sca.test;

import org.oasisopen.sca.annotation.*;
import org.oasisopen.sca.test.Service1;


/**
 * Java component implementation
 * 1 service with interface Service1
 * 1 reference (0..n) with interface Service1
 *
 */
@Service(Service1.class)
public class service1OptMultiRef implements Service1 {
	
	@Property(required=true)
	public String serviceName = "service1";
	
	@Reference(required=false)
	public Service1 [] reference1;

	public String operation1(String input) {
		return serviceName + " operation1 invoked";
	}

}
